Description

According to attachment:com-rp-rol-drg-057.pdf a TOF corrections needs to be applied to EVP datasets of version 2 and older (see

DSD_REP keyword in the EVP file). An example of an old EVP dataset is the one in viewing period 1 of the Crab.

The TOF correction is implemented in TOFCOR in the DAL library DALAAA18 (see attachment:dalaaa19.tofcor.f). The correction is

automatically implemented when reading an EVP file (see attachment:dalaaa19.pevpsr.f):

C    VERNO  integer     data set representation version       PEVPRI   *

C--      De-scale parameter and transform from INTEGER*2 to

C        argument spec

C        Copy data from COMMON PEVPD1 to return variables

         TIMTAG(1) = TIME(1)

         TIMTAG(2) = TIME(2)

         MPAR( 1)   = EN(1)

         MPAR( 2)   = EN(2)

         MPAR( 3)   = EN(1) + EN(2)

         MPAR( 4)   = 0

         MPAR( 5)   = PHI

         MPAR( 6)   = 0

         MPAR( 7)   = LOC(1)/32.

         MPAR( 8)   = LOC(2)/32.

         MPAR( 9)   = LOC(3)/256.

         MPAR(10)   = LOC(4)/32.

         MPAR(11)   = LOC(5)/32.

         MPAR(12)   = LOC(6)/256.

         MPAR(13)   = LOC(7)/128.

         MPAR(14)   = LOC(8)/128.

         CLASS      = CL

         MODCOM     = MC

         REFLAG     = RF

         VETO       = VF

         EVSCT(1)   = CO(1)

         EVSCT(2)   = CO(2)

         EVSCT(3)   = CO(3)

         EVSCT(4)   = CO(4)

         EVSCT(5)   = EH

         CTYP = CLASS(1:3)

C

C Now do the TOF correction for dataset versions < 3

C

         IF(VERNO.LT.3)THEN

C

C   Do not correct for SIM events

C

            IF (CTYP .NE. 'SIM') THEN

              IF (REFLAG .GE. 4) THEN

                CALL TOFCOR(MPAR(1),MPAR(2),MPAR(14),IDUM)

              ENDIF

           ENDIF

         ENDIF

04/20/2024 1/3



      ELSE

An equivalent TOF correction should be implemented in GCOMEventList::read_events.

History

#1 - 02/19/2021 05:00 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 10

I recognised that VP 0001.0 includes a newer EVP with TOFCOR applied. However a valid dataset for testing is VP 0002.5 which has an old data

representation.

#2 - 02/19/2021 05:32 PM - Knödlseder Jürgen

- File vp0002_5.png added

- File vp0002_5-tofcor.png added

- % Done changed from 10 to 50

I implemented the TOFCOR correction, the results are displayed in the panels below. The top panel is the original panel without ToF correction which

shows some structure in the ToF distribution due to oversampling. The bottom panel is after application of the TOFCOR correction. Note that the

correction considerably modifies the ToF distribution, lacking events with small ToF. Note that the nominal ToF window is 115-130.

Before TOFCOR correction

 

After TOFCOR correction

 

#3 - 02/20/2021 12:14 AM - Knödlseder Jürgen

- % Done changed from 50 to 60

The following 29 viewing periods only have a version 2 EVP file:

vp0002_0

vp0002_5

vp0003_0

vp0004_0

vp0006_0

vp0007_0

vp0008_0

vp0009_5

vp0011_0

vp0013_5

vp0015_0

vp0020_0

vp0021_0

vp0023_0

vp0207_0

vp0208_0

vp0209_0

vp0211_0

vp0212_0

vp0213_0

vp0216_0

vp0218_0

vp0219_4
vp0220_0

vp0222_0

vp0223_0

vp0224_0

vp0226_0

vp0229_0

#4 - 02/20/2021 12:23 AM - Knödlseder Jürgen

- Status changed from In Progress to Pull request

- % Done changed from 60 to 90

#5 - 02/21/2021 09:41 AM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 90 to 100

Files

com-rp-rol-drg-057.pdf 403 KB 02/19/2021 Knödlseder Jürgen

dalaaa19.tofcor.f 13.4 KB 02/19/2021 Knödlseder Jürgen

dalaaa19.pevpsr.f 17.4 KB 02/19/2021 Knödlseder Jürgen

vp0002_5.png 514 KB 02/19/2021 Knödlseder Jürgen

vp0002_5-tofcor.png 511 KB 02/19/2021 Knödlseder Jürgen
